aboutsummaryrefslogtreecommitdiffstats
path: root/chapter9
diff options
context:
space:
mode:
Diffstat (limited to 'chapter9')
-rw-r--r--chapter9/bashprofile.sh1
-rw-r--r--chapter9/bootscriptconf.sh1
-rw-r--r--chapter9/inputrc.sh1
-rw-r--r--chapter9/lfs-bootscripts.sh1
-rw-r--r--chapter9/network.sh1
-rw-r--r--chapter9/shells.sh1
6 files changed, 6 insertions, 0 deletions
diff --git a/chapter9/bashprofile.sh b/chapter9/bashprofile.sh
index 9636b3a..e52d25b 100644
--- a/chapter9/bashprofile.sh
+++ b/chapter9/bashprofile.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
cat > /etc/profile << "EOF"
# Begin /etc/profile
diff --git a/chapter9/bootscriptconf.sh b/chapter9/bootscriptconf.sh
index 3c00024..2640502 100644
--- a/chapter9/bootscriptconf.sh
+++ b/chapter9/bootscriptconf.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
cat > /etc/inittab << "EOF"
# Begin /etc/inittab
diff --git a/chapter9/inputrc.sh b/chapter9/inputrc.sh
index bab2a35..05c7dde 100644
--- a/chapter9/inputrc.sh
+++ b/chapter9/inputrc.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
cat > /etc/inputrc << "EOF"
# Begin /etc/inputrc
diff --git a/chapter9/lfs-bootscripts.sh b/chapter9/lfs-bootscripts.sh
index db9dad4..c019094 100644
--- a/chapter9/lfs-bootscripts.sh
+++ b/chapter9/lfs-bootscripts.sh
@@ -1,3 +1,4 @@
#!/bin/bash
+set -e
make -j1 install
diff --git a/chapter9/network.sh b/chapter9/network.sh
index e1386a4..1cd1739 100644
--- a/chapter9/network.sh
+++ b/chapter9/network.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
pushd /etc/sysconfig/ >/dev/null || exit 1
cat > ifconfig.eth0 << "EOF"
diff --git a/chapter9/shells.sh b/chapter9/shells.sh
index d94254c..ac66dd6 100644
--- a/chapter9/shells.sh
+++ b/chapter9/shells.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
cat > /etc/shells << "EOF"
# Begin /etc/shells